### Function

# Ide MarkedContent new_from_data

#### Declaration

    IdeMarkedContent*
    ide_marked_content_new_from_data (
      const gchar* data,
      gssize len,
      IdeMarkedKind kind
    )

#### Description

Creates a new `IdeMarkedContent` from the provided data.

Available since: | 3.32

#### Parameters

`data` | `const gchar*`
| The data for the content.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`len` | `gssize`
| The length of the data, or -1 to `strlen()` `data`.
`kind` | `IdeMarkedKind`
| The kind of markup.

#### Return value

Returns: | `IdeMarkedContent`
| An `IdeMarkedContent`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.